<?xml version="1.0" encoding="utf-8"?>
<rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom">
	<channel>
		<atom:link href="https://dev1galaxy.org/extern.php?action=feed&amp;tid=2865&amp;type=rss" rel="self" type="application/rss+xml" />
		<title><![CDATA[Dev1 Galaxy Forum / How to install & Configure LXDM ?]]></title>
		<link>https://dev1galaxy.org/viewtopic.php?id=2865</link>
		<description><![CDATA[The most recent posts in How to install & Configure LXDM ?.]]></description>
		<lastBuildDate>Tue, 21 May 2019 20:33:31 +0000</lastBuildDate>
		<generator>FluxBB</generator>
		<item>
			<title><![CDATA[Re: How to install & Configure LXDM ?]]></title>
			<link>https://dev1galaxy.org/viewtopic.php?pid=16200#p16200</link>
			<description><![CDATA[<p><a href="http://pasted.co/fbd99e33" rel="nofollow">selections.txt</a><br /><a href="http://pasted.co/53cfbd2d" rel="nofollow">rc-level.txt</a></p><div class="codebox"><pre><code>uname -a
Linux Inukaze 4.9.0-9-amd64 #1 SMP Debian 4.9.168-1+deb9u2 (2019-05-13) x86_64 GNU/Linux</code></pre></div>]]></description>
			<author><![CDATA[dummy@example.com (inukaze)]]></author>
			<pubDate>Tue, 21 May 2019 20:33:31 +0000</pubDate>
			<guid>https://dev1galaxy.org/viewtopic.php?pid=16200#p16200</guid>
		</item>
		<item>
			<title><![CDATA[Re: How to install & Configure LXDM ?]]></title>
			<link>https://dev1galaxy.org/viewtopic.php?pid=16196#p16196</link>
			<description><![CDATA[<p>Post the results of the following commands (root required!)</p><div class="codebox"><pre><code>dpkg --get-selections &gt; selections.txt
rc-update show &gt; rc-level.txt
uname -a</code></pre></div><p>You can copy the results of the last command directly, but the other commands each produce a text file. Post the contents of these files.</p>]]></description>
			<author><![CDATA[dummy@example.com (Dutch_Master)]]></author>
			<pubDate>Tue, 21 May 2019 17:07:57 +0000</pubDate>
			<guid>https://dev1galaxy.org/viewtopic.php?pid=16196#p16196</guid>
		</item>
		<item>
			<title><![CDATA[Re: How to install & Configure LXDM ?]]></title>
			<link>https://dev1galaxy.org/viewtopic.php?pid=16190#p16190</link>
			<description><![CDATA[<p>i try that too, but neither work. i don&#039;t know why.</p>]]></description>
			<author><![CDATA[dummy@example.com (inukaze)]]></author>
			<pubDate>Tue, 21 May 2019 04:14:11 +0000</pubDate>
			<guid>https://dev1galaxy.org/viewtopic.php?pid=16190#p16190</guid>
		</item>
		<item>
			<title><![CDATA[Re: How to install & Configure LXDM ?]]></title>
			<link>https://dev1galaxy.org/viewtopic.php?pid=16181#p16181</link>
			<description><![CDATA[<p>The openrc command to add a service to the default runlevel would be:</p><div class="codebox"><pre><code>rc-update add lxdm default</code></pre></div><p>This should create a symlink for the lxdm init script in /etc/runlevels/default (pointing to /etc/init.d), and thus openrc should autostart it upon boot.</p>]]></description>
			<author><![CDATA[dummy@example.com (dxrobertson)]]></author>
			<pubDate>Mon, 20 May 2019 10:03:51 +0000</pubDate>
			<guid>https://dev1galaxy.org/viewtopic.php?pid=16181#p16181</guid>
		</item>
		<item>
			<title><![CDATA[Re: How to install & Configure LXDM ?]]></title>
			<link>https://dev1galaxy.org/viewtopic.php?pid=16179#p16179</link>
			<description><![CDATA[<p>Trying with :</p><div class="codebox"><pre><code>update-rc del lxdm default
update-rc.d lxdm defaults 30 01 &gt;/dev/null 2&gt;&amp;1</code></pre></div><p>The same. its not autostarting lxdm after start the rest of openrc services.</p>]]></description>
			<author><![CDATA[dummy@example.com (inukaze)]]></author>
			<pubDate>Mon, 20 May 2019 02:52:14 +0000</pubDate>
			<guid>https://dev1galaxy.org/viewtopic.php?pid=16179#p16179</guid>
		</item>
		<item>
			<title><![CDATA[How to install & Configure LXDM ?]]></title>
			<link>https://dev1galaxy.org/viewtopic.php?pid=16178#p16178</link>
			<description><![CDATA[<p>Hi there, first the package lxdm of the repository never install properly because ever exit with status error code 1.</p><p>#dpkg: error al procesar el paquete lxdm (--configure):<br />#el subproceso instalado el script post-installation devolvió el código de salida de error 1</p><p>i make my own script for install and configure (the major part)</p><div class="codebox"><pre class="vscroll"><code>#!/usr/bin/env bash
cd /tmp
if [ -f /tmp/lxdm-0.5.3.tar.xz ]
then
	tar xf lxdm-0.5.3.tar.xz ; cd lxdm-0.5.3
else
	wget -c https://downloads.sourceforge.net/lxdm/lxdm-0.5.3.tar.xz
	tar xf lxdm-0.5.3.tar.xz ; cd lxdm-0.5.3
fi

./configure --prefix=/usr --sysconfdir=/etc --with-pam --with-systemdsystemunitdir=no
make
make install

echo &#039;#!/bin/sh

# Largely adapted from xdm init script:
# Copyright 1998-2002, 2004, 2005 Branden Robinson &lt;branden@debian.org&gt;.
# Copyright 2006 Eugene Konev &lt;ejka@imfi.kspu.ru&gt;
#
# This is free software; you may redistribute it and/or modify
# it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2,
# or (at your option) any later version.
#
# This is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License with
# the Debian operating system, in /usr/share/common-licenses/GPL;  if
# not, write to the Free Software Foundation, Inc., 51 Franklin Street, 
# Fifth Floor, Boston, MA 02110-1301, USA.

### BEGIN INIT INFO
# Provides:          lxdm
# Should-Start:      $named console-screen dbus acpid hal consolekit
# Required-Start:    $local_fs $remote_fs x11-common
# Required-Stop:     $local_fs $remote_fs
# Should-Stop:       $named
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: LXDE Display Manager (LXDM)
# Description:       Debian init script for the LXDE Display Manager
### END INIT INFO

set -e

HEED_DEFAULT_DISPLAY_MANAGER=
# To start lxdm even if it is not the default display manager, change
# HEED_DEFAULT_DISPLAY_MANAGER to &quot;false.&quot;
# Also overridable from command line like:
# HEED_DEFAULT_DISPLAY_MANAGER=false /etc/init.d/lxdm start
[ -z &quot;$HEED_DEFAULT_DISPLAY_MANAGER&quot; ] &amp;&amp; HEED_DEFAULT_DISPLAY_MANAGER=true

DEFAULT_DISPLAY_MANAGER_FILE=/etc/X11/default-display-manager

PATH=/bin:/usr/bin:/sbin:/usr/sbin
DAEMON=/usr/sbin/lxdm-binary
PIDFILE=/var/run/lxdm.pid

if [ -r /etc/default/locale ]; then
  . /etc/default/locale
  export LANG LANGUAGE
fi

test -x $DAEMON || exit 0

. /lib/lsb/init-functions

SSD_START_ARGS=&quot;--pidfile $PIDFILE --name $(basename $DAEMON) --startas $DAEMON -- -d&quot;
SSD_STOP_ARGS=&quot;--pidfile $PIDFILE --name $(basename $DAEMON) --retry TERM/5/TERM/5&quot;

case &quot;$1&quot; in
  start)
    if [ &quot;$HEED_DEFAULT_DISPLAY_MANAGER&quot; = &quot;true&quot; ] &amp;&amp;
       [ -e $DEFAULT_DISPLAY_MANAGER_FILE ] &amp;&amp;
       [ &quot;$(cat $DEFAULT_DISPLAY_MANAGER_FILE)&quot; != &quot;/usr/sbin/lxdm&quot; ]; then
      echo &quot;Not starting X display manager (lxdm); it is not the default&quot; \
        &quot;display manager.&quot;
    else
      log_daemon_msg &quot;Starting X display manager&quot; &quot;lxdm&quot;
      start-stop-daemon --start --quiet $SSD_START_ARGS \
        || log_progress_msg &quot;already running&quot;
      log_end_msg 0
    fi
  ;;

  restart)
    [ -f $PIDFILE ] &amp;&amp; /etc/init.d/lxdm stop
    [ -f $PIDFILE ] &amp;&amp; exit 1
    /etc/init.d/lxdm start
  ;;

  stop)
    log_daemon_msg &quot;Stopping X display manager&quot; &quot;lxdm&quot;
    if ! [ -f $PIDFILE ]; then
      log_progress_msg &quot;not running ($PIDFILE not found)&quot;
    else
      start-stop-daemon --stop --quiet $SSD_STOP_ARGS
      SSD_RES=$?
      if [ $SSD_RES -eq 1 ]; then
        log_progress_msg &quot;not running&quot;
      fi
      if [ $SSD_RES -eq 2 ]; then
        log_progress_msg &quot;not responding to TERM signals&quot;
      else
	if [ -f $PIDFILE ]; then
	  log_progress_msg &quot;(removing stale $PIDFILE)&quot;
	  rm $PIDFILE
	fi
      fi
    fi
    log_end_msg 0
  ;;
  force-reload)
    /etc/init.d/lxdm restart
  ;;

  status)
    status_of_proc -p $PIDFILE $DAEMON lxdm
  ;;

  *)
    echo &quot;Usage: /etc/init.d/lxdm {start|stop|restart|force-reload}&quot;
    exit 1
    ;;
esac

exit 0&#039; | sudo tee /etc/init.d/lxdm
chmod a+o+x /etc/init.d/lxdm

echo &#039;$x-display-manager	lxdm&#039; | sudo tee /etc/insserv.conf.d/lxdm

echo &#039;/var/log/lxdm.log {
    missingok
    notifempty
    copytruncate
}&#039; | sudo tee /etc/logrotate.d/lxdm

echo &#039;#%PAM-1.0
# Comments stolen from lightdm-pam-file
# Block login if they are globally disabled
auth    requisite       pam_nologin.so

# Load environment from /etc/environment and ~/.pam_environment
auth    required        pam_env.so readenv=1
auth    required        pam_env.so readenv=1 envfile=/etc/default/locale
auth    required        pam_env.so readenv=1 envfile=/etc/lxdm-environment

# auth    sufficient      pam_succeed_if.so user ingroup nopasswdlogin
@include common-auth
auth    optional        pam_gnome_keyring.so
@include common-account

# SELinux needs to be the first session rule. This ensures that any
# lingering context has been cleared. Without out this it is possible
# that a module could execute code in the wrong domain.
# When the module is present, &quot;required&quot; would be sufficient (When SELinux
# is disabled, this returns success.)
#
session [success=ok ignore=ignore module_unknown=ignore default=bad] pam_selinux.so close

session required       pam_unix.so 	  # added by klaumi
session required        pam_limits.so
session required       pam_loginuid.so 	  # added by klaumi
# @include common-session-noninteractive  # commented out by klaumi
@include common-session 		  # added by klaumi

# SELinux needs to intervene at login time to ensure that the process
# starts in the proper default security context. Only sessions which are
# intended to run in the users context should be run after this.
# When the module is present, &quot;required&quot; would be sufficient (When SELinux
# is disabled, this returns success.)
#
session [success=ok ignore=ignore module_unknown=ignore default=bad] pam_selinux.so open

session optional        pam_gnome_keyring.so auto_start

session optional        pam_systemd.so

@include common-password&#039; | sudo tee /etc/pam.d/lxdm

echo &#039;/usr/sbin/lxdm&#039; | sudo tee /etc/X11/default-display-manager
echo &#039;GDK_CORE_DEVICE_EVENTS=true&#039; | sudo tee /etc/lxdm-environment
sudo invoke-rc.d dbus reload || true
sudo update-alternatives --install /etc/lxdm/default.conf lxdm.conf /etc/lxdm/lxdm.conf 50
sudo rc-update add lxdm default</code></pre></div><p>Just for not recibe the error<br />&quot;Xsession : unable to launch &quot;lightdm-xsession&quot; X session --- &quot;lightdm-xsession&quot; not found; falling back to default session.<br />Copy &amp; Paste the follow in a terminal window :</p><div class="codebox"><pre><code>echo &#039;[Desktop]
Session=xfce
Language=es_ES.utf8
Layout=es&#039; | tee ~/.dmrc</code></pre></div><p>Well in session just replace &quot;xfce&quot; for your desktop environment.</p><p>Ok the unique problem for me its i don&#039;t know the things i must do for enable the automatic start of lxdm?</p>]]></description>
			<author><![CDATA[dummy@example.com (inukaze)]]></author>
			<pubDate>Mon, 20 May 2019 02:46:47 +0000</pubDate>
			<guid>https://dev1galaxy.org/viewtopic.php?pid=16178#p16178</guid>
		</item>
	</channel>
</rss>
